Get Payment Link
curl --request GET \
--url https://api.withflex.com/v1/payment_links/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.withflex.com/v1/payment_links/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.withflex.com/v1/payment_links/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"payment_link": {
"payment_link_id": "fplink_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"label": "Example",
"active": false,
"line_items": [
{}
],
"allow_promotion_codes": false,
"shipping_address_collection": false,
"shipping_options": {},
"metadata": {
"order_id": "8842",
"channel": "shopify"
},
"url": "https://example.com",
"created_at": "2026-06-15T14:30:00Z",
"payment_intent_data": {},
"after_completion": {},
"origin": "shopify",
"tax_rate": {},
"discounts": [
"fcoup_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
],
"setup_future_use": "on_session",
"test_mode": false
}
}{
"code": "string",
"detail": "string"
}{
"code": "string",
"detail": "string"
}{
"code": "string",
"detail": "string"
}{
"code": "string",
"detail": "string"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}{
"code": "string",
"detail": "string"
}Get Payment Link
Retrieves the details of an existing payment link, including its line items and applied discounts. If the link has no label yet, one is generated from its first line item’s product and persisted before the link is returned.
GET
/
v1
/
payment_links
/
{id}
Get Payment Link
Authorizations
Use a Bearer token to access this API.
Path Parameters
Example:
"fplink_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
Response
An envelope wrapping a single payment link object.
An envelope wrapping a single payment link object.
The payment link.
Show child attributes
Show child attributes
Example:
{
"payment_link_id": "fplink_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"label": "Example",
"active": false,
"line_items": [
{
"price": "fprice_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"quantity": 0,
"components": []
}
],
"allow_promotion_codes": false,
"shipping_address_collection": false,
"shipping_options": {
"shipping_rate_id": "fshr_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"shipping_amount": 2500,
"display_name": "Example"
},
"metadata": { "order_id": "8842", "channel": "shopify" },
"url": "https://example.com",
"created_at": "2026-06-15T14:30:00Z",
"payment_intent_data": {
"capture_method": "automatic",
"metadata": { "order_id": "8842", "channel": "shopify" }
},
"after_completion": {
"type": "redirect",
"hosted_confirmation": {},
"redirect": {}
},
"origin": "shopify",
"tax_rate": { "amount": 2500 },
"discounts": ["fcoup_01J9XR8M3K7VZ8N2YB4WJ6T0RA"],
"setup_future_use": "on_session",
"test_mode": false
}
⌘I